> For the complete documentation index, see [llms.txt](https://docs.apolo.us/index/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apolo.us/index/apolo-actions-reference/reference/webdav-server.md).

# WebDAV Server

With this action, you can serve your data in the Apolo cluster (storage folder, disk, etc.) using [rclone's WebDAV server](https://rclone.org/webdav/).

The only required parameter is the reference to the target remote volume.

#### Quick example

```
jobs:
  webdav_server:
    action: gh:apolo-actions/webdav_server@master
    args:
      volume_remote: ${{ volumes.project.remote }}
```

### Arguments

#### `volume_remote`

Reference to the target volume you want to serve.

#### Example

```
args:
	volume_remote: ${{ volumes.project.remote }}
```

#### `http_auth`

Whether to enable Apolo platform-based authentication or not. If this argument is disabled (set to `""` by default), your WebDAV will not be protected by the Apolo SSO (single sign-on authentication). It has no impact on the `rclone serve webdav` parameters.

#### Example

```
args:
	http_auth: "True"
```

#### `port`

Rclone WebDAV server port. Useful if you want to access the server within the cluster - for instance, from another job. `"8080"` by default.

#### Example

```
args:
	port: "8484"
```

#### `job_name`

The name of the WebDAV server. Use it to generate a predictable job hostname. `"webdav"` by default.

#### Example

```
args:
	job_name: "webdav-job"
```

#### `job_lifespan`

The amount of time for which the WebDAV server job container will be active. `"1d"` by default.

#### Example

```
args:
	job_lifespan: 1d4h20m30s
```

#### `preset`

The resource preset to use when running this job. `"cpu-small"` by default. You can view the list of available presets by running `apolo config show`.

#### Example

```
args:
	preset: "cpu-medium"
```

#### `extra_params`

Extra parameters for the `rclone serve webdav` command.

{% hint style="info" %}
Feel free to check the [WebDAV Server action repository](https://github.com/apolo-actions/webdav_server).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apolo.us/index/apolo-actions-reference/reference/webdav-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
